Xen: Oxenstored 32->31 ビット整数切り捨ての問題 (XSA-420)

medium Nessus プラグイン ID 167492

概要

リモートの Xen ハイパーバイザーのインストールにセキュリティ更新プログラムがありません。

説明

Oxenstored 32->31 ビット整数切り捨ての問題 Ocaml の整数は、63 または 31 ビットの符号付き精度です。Ocaml Xenbus ライブラリは、C uint32_t をリングから取り出し、Ocaml 整数に直接キャストします。64 ビットの Ocaml ビルドではこれで問題ありませんが、32 ビットのビルドでは、最上位ビットが切り捨てられ、残りに符号なし / 符号付きの混乱が生じます。これにより、負の値を予期しないロジックに負の値がフィードされ、予期しない例外がスローされる可能性があります。予期しない例外が適切に処理されず、xenstore リングから不良パケットを取り除こうとする (および失敗する) ビジーループが作成されます。

Nessus はこの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

ベンダーのアドバイザリにしたがって適切なパッチを適用してください。

関連情報

https://xenbits.xenproject.org/xsa/advisory-420.txt

プラグインの詳細

深刻度: Medium

ID: 167492

ファイル名: xen_server_XSA-420.nasl

バージョン: 1.3

タイプ: local

ファミリー: Misc.

公開日: 2022/11/15

更新日: 2022/11/24

構成: パラノイドモードの有効化

リスク情報

VPR

リスクファクター: Medium

スコア: 4.4

CVSS v2

リスクファクター: Medium

Base Score: 4.6

Temporal Score: 3.4

ベクトル: AV:L/AC:L/Au:S/C:N/I:N/A:C

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-42324

CVSS v3

リスクファクター: Medium

Base Score: 5.5

Temporal Score: 4.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:xen:xen

必要な KB アイテム: installed_sw/Xen Hypervisor, Settings/ParanoidReport

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/1

脆弱性公開日: 2022/11/1

参照情報

CVE: CVE-2022-42324

IAVB: 2022-B-0048